package cn.com.qmth.am.utils;

import java.io.IOException;
import java.io.StringWriter;

import com.qmth.boot.core.ai.model.llm.AutoScoreRequest;

import freemarker.template.Configuration;
import freemarker.template.Template;

public class FreeMarkerUtil {

    private static final String ENCODING = "UTF-8";

    private static Configuration config;

    private static Template dsMarkingReq;

    static {

        config = new Configuration(Configuration.VERSION_2_3_25);
        // 设置编码
        config.setDefaultEncoding(ENCODING);
        // 设置ftl模板路径
        config.setClassForTemplateLoading(FreeMarkerUtil.class, "/templates/");

        try {
            dsMarkingReq = config.getTemplate("ds_marking.ftl", ENCODING);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

    public static String getDsMarkingReq(AutoScoreRequest req) {
        StringWriter result = null;
        try {
            result = new StringWriter();
            dsMarkingReq.process(req, result);
            return result.toString();
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
